
clear all

% load('ProtoRunnerAmp.mat')
% load('ModelRunnerAmp')
% % 
% load('ModelGVAmpl.mat')
% load('ProtoGVAmpl')
% 
% load('ModelDTAmpl')
% load('ProtoDTAmpl')

y2=[2 2 2];
y=[1 1 1];

last=[42 50 75];
zoom=1000;
zoomdiff=100;
diff=(ampl./amplM);

 
figure(1)
 
subplot(2,1,1)
    scatter(last,y,zoom.*amplM,'filled','g'); hold on;
    scatter(last,y2,zoom.*ampl,'filled','b'); hold on;
        

set(gca,'YTickLabel', {'Model', 'Prototype'}, 'YTick',[1 2]);
set(gca,'XTickLabel', {});
title('Comparison draft tube','FontSize',14,'FontName','Calibri')
set(gcf,'color','w');
set(gca, 'YGrid', 'on', 'XGrid', 'off')


plottetemp(2,:)=amplM;
plottetemp(3,:)=ampl;

x=[42 50 75];

for j=2:3
    for i=1:3
        k=x(i);
        text(k-1,j-1.4,num2str(plottetemp(j,i)))        
    end
end

xlim([30,90]);
ylim([0,3]);


 subplot(2,1,2)
    scatter(last,y,zoomdiff.*diff,'filled','r'); hold on;
    
    plottetemp(1,:)=diff;

x=[42 50 75];

for j=1:1
    for i=1:3
        k=x(i);
        text(k-1,j-0.4,num2str(plottetemp(j,i)))        
    end
end

  
    
xlabel ('Load [%]','FontSize',12,'FontName','Calibri');
%set(gca,'YTickLabel', '$$\frac{1}{2}$$');%,'YTick',[1]);
set(gca,'YTickLabel', 'Prototype / Model', 'YTick',[1]); 
%ylabel('$\frac{\mathrm{Prototype}}{Model}$', 'Interpreter', 'latex', 'FontSize', 16, 'rot', 0,'FontName','Calibri');
set(gcf,'color','w');
set(gca, 'YGrid', 'on', 'XGrid', 'off')

xlim([30,90]);
ylim([0,1.9]);




%%

figure(2)

plot(last,ampl,'Color',1/255*[0 255 0]); hold on;
plot(last,amplM,'Color',1/255*[0 0 255]); hold on;
plot(last,ampl,'gd','MarkerFaceColor','g'); hold on;
plot(last,amplM,'bd','MarkerFaceColor','b'); hold on;
set(gcf,'color','w');
xlabel ('Load [%]','FontSize',12,'FontName','Calibri');
ylabel ('Amplitude A/H','FontSize',12,'FontName','Calibri');
legend ('Model','Prototype');
title('Comparison draft tube','FontSize',14,'FontName','Calibri');
xlim([40,80]);
ylim([0,0.25]);

%clearvars -except  amplitudeM pksThrM pksThrminM  amplitude pksThr pksThrmi