%% IMPORT rdata fra tester inn i MATLAB.
%Viktig  ikke ha noen excelfiler oppe nr man kjrer da dette vil pvirke
%variabelen length.

%Leser excelfiler med navn stasjAA_BB.xlsx hvor AA angir mlepunkt og BB
%angir de gjentatte mlingene.

clear all
clc
%Kjrer samme punkt et visst antall ganger, legger disse under hverandre i
%matrisen.

%% DATA IMPORT --------------------------------------------------------
% Strukturerer data i  matrisen cal.

nindsamp=1;                      %setter inn antall rep av et operasjonspunkt
mappe= uigetdir;
filepattern=strcat(mappe,'\*.xlsx');
% filepattern=fullfile('M:','MATLAB','Resultat','*.xlsx');
xlsxfiles=dir(filepattern);
length=(length(xlsxfiles))/(2*nindsamp)-2;   %Angir antall punkter mlt

xlrange1='A3:M30001';
xlrange2='A3:Y30001';


for k = 1:length
    for h=1:nindsamp             %endres til antall uavhengige triggerpunkter
        
        xlfilename1 = sprintf('stasj%d_%d.xlsx', k,h);
        xlfilename2 = sprintf('rot%d_%d.xlsx', k,h);
        cal{k,h}=xlsread(strcat(mappe,'\',xlfilename1),2,xlrange1);
        cal{k,h+nindsamp}=xlsread(strcat(mappe,'\',xlfilename2),2,xlrange2);
        
    end
end

%%   Finner antall filer og lager hovedmatrisen (3D) masterarray.

nsamples=(30001-3)*length;


%b=[1 5 6 10 11 12 13 18 19 22 25] ; %Luker ut de delagte trykksensorene fra matrisen.
b=[1 12 25];

for k=1:length
    for h=1:nindsamp
        cal{k,h+nindsamp}=cal{k,h+nindsamp}(:,b);
    end
end

c=[1 2 3 4 5 6 7 8 9 10 11 13];

for k=1:length
    for h=1:nindsamp
        cal{k,h}=cal{k,h}(:,c);
    end
end



clearvars -except cal
save('Data') %lagrer cal i Data.mat. NB skriver over eventuelle tidligere filer med samme navn.

%Ex for  hente opp en kolonne fra cal: cal{1,2}(:,5); henter opp
%kolonne 5 fra roterende RIO, punkt 1.

%%
% 
% 
% 
% for i=1:14
%     for j=2:7
% plot(RunnerProto{i}(:,1),RunnerProto{i}(:,j)), hold on;
% 
%     end
%end

